{% extends "base.html" %}

{% block styles %}
<link rel="stylesheet" href="{{url_for('static',filename='css/connected.css')}}">
{% endblock %}

{% block body %}

<body class="d-flex flex-grow-1 flex-fill">
    <div class="d-flex flex-grow-1" id="wrapper">
        {% include "components/sidebar.html" %}
        <div class="d-flex flex-grow-1 flex-fill page-content-wrapper" id="main">
            <div class="container-fluid">
                {% include "components/navbar.html" %}
                <div class="row d-flex flex-grow-1">
                    <div class="col-md-12">
                        <h1 class="text-white">Vos {{selection}}s</h1>
                        <div class="d-flex flex-row flex-wrap">
                            <form class="form-inline d-flex flex-nowrap" method=GET action="/connected/{{selection}}" id="recherche">
                                {% if selection == "playlist" %}
                                <input class="form-control" type="text" name="args" placeholder="Nom de la playlist">
                                {% elif selection == "album" %}
                                <input class="form-control" type="text" name="args" placeholder="Nom de l'album">
                                {% elif selection == "artiste" %}
                                <input class="form-control" type="text" name="args" placeholder="Nom de l'artiste">
                                {% endif %}
                                <button class="btn btn-light" type="submit"><i class="fa fa-search"></i></button>
                            </form>
                            {% if selection == "playlist" %}
                            <a class="popup" id="add_playlist">
                                <i class="fa fa-plus-square" onclick="fonctionPopUp()"></i>
                                <div class="popuptext" id="myPopup">
                                    <p class=titrepopup>Création de playlist</p>
                                    <form method="POST" action="/connected/playlist/create">
                                        <ul class="boutonPop">
                                            <li><label>Titre:</label><input type="text" class="form-control" name="nom"
                                                    placeholder="Entrez le titre de votre playlist" required/></li>
                                            <li><label>Image:</label><input type="text" class="form-control"
                                                    name="image" placeholder="Entrez l'URL d'une image" /></li>
                                            <li>
                                                <div><button class="btn btn-primary" type="submit"
                                                        id="buttonImg">Valider</button></div>
                                            </li>
                                        </ul>
                                    </form>
                                </div>
                            </a>
                            {% endif %}
                        </div>
                        {% with messages = get_flashed_messages() %}
                        {% if messages %}
                        <div class="notification is-danger">
                            <p style="font-size:24px;color: white;margin-top: 0;">{{ messages[0] }}</p>
                        </div>
                        {% endif %}
                        {% endwith %}
                        <div class="text-white">
                            {% if not recherche %}
                            <ul class="list-inline d-flex justify-content-center flex-wrap justify-content-sm-start">
                                {% if selection == "playlist" %}
                                {% for elem in playlists %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/playlist/{{elem.nom}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse">
                                            <div class="card-body">
                                                <img src="{{elem.urlImage}}" style="width: 150px;height: auto;">
                                                <p class="text-center card-text" style="overflow: hidden;">
                                                    {{elem.nom}}<br></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                                {% elif selection == "album" %}
                                {% for elem in albums %}
                                {% set artiste = funcArtist(elem.auteur_id) %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/album/{{elem.id}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse"
                                            title="{{elem.titre}} - {{artiste.nom}}">
                                            <div class="card-body">
                                                <img src="{{elem.urlImage}}" style="width: 150px;height: auto;">
                                                <p class="text-center card-text" style="overflow: hidden;">
                                                    {{elem.titre}}<br>{{artiste.nom}}<br></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                                {% elif selection == "artiste" %}
                                {% for elem in artistes %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/artiste/{{elem.id}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse">
                                            <div class="card-body" style="width: 10em;height: 5em;">
                                                <p class="text-center card-text" style="text-overflow: ellipsis;">
                                                    {{elem.nom}}<br></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                                {% endif %}
                            </ul>
                            {% else %}
                            <ul class="list-inline d-flex justify-content-center flex-wrap justify-content-sm-start">
                                {% if selection == "playlist" %}
                                {% for elem in playlists %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/playlist/{{elem.nom}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse">
                                            <div class="card-body">
                                                <img src="{{elem.urlImage}}" style="width: 150px;height: auto;">
                                                <p class="text-center card-text" style="overflow: hidden;">
                                                    {{elem.nom}}<br></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                                {% elif selection == "album" %}
                                {% for elem in albums %}
                                {% set artiste = funcArtist(elem.auteur_id) %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/album/{{elem.id}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse"
                                            title="{{elem.titre}} - {{artiste.nom}}">
                                            <div class="card-body">
                                                <img src="{{elem.urlImage}}" style="width: 150px;height: auto;">
                                                <p class="text-center card-text" style="overflow: hidden;">
                                                    {{elem.titre}}<br>{{artiste.nom}}<br></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                                {% elif selection == "artiste" %}
                                {% for elem in artistes %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/artiste/{{elem.id}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse">
                                            <div class="card-body" style="width: 10em;height: 5em;">
                                                <p class="text-center card-text" style="text-overflow: ellipsis;">
                                                    {{elem.nom}}<br></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                                {% endif %}
                            </ul>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {% block script %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{url_for('static',filename='js/bs-init.js')}}"></script>
    <script src="{{url_for('static',filename='js/-Fixed-Navbar-start-with-transparency-background-BS4-.js')}}"></script>
    <script src="{{url_for('static',filename='js/Sidebar-Menu.js')}}"></script>
    <script>
        // When the user clicks on div, open the popup
        function fonctionPopUp() {
            var popup = document.getElementById("myPopup");
            popup.classList.toggle("show");
        }

        function fonctionRecherche() {
            var popup = document.getElementById("myPopupRecherche");
            popup.classList.toggle("show");
        }
    </script>
    {% endblock %}
</body>
{% endblock %}